For the complete documentation index, see llms.txt. This page is also available as Markdown.

LoanFieldName

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getLoanFieldName

post

Retrieve LoanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LoanFieldNameFieldintegerRequired
Responses
200

Successful operation.

application/json
post/getLoanFieldName
POST /nexum/627/2022.01/parameter/getLoanFieldName HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanFieldNameField": "example-value",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanFieldName": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getLoanFieldName"
}

getLoanFieldNameSelectFields

post

Retrieve LoanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LoanFieldNameFieldintegerOptional
Responses
200

Successful operation.

application/json
post/getLoanFieldNameSelectFields
POST /nexum/627/2022.01/parameter/getLoanFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "LoanFieldNameField": 1,
  "SelectableFields": {
    "LoanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "LoanFieldName": {
    "Field": 1,
    "FieldName": "User Char   01"
  },
  "MessageId": "getLoanFieldNameSelectFields"
}

getLoanFieldNamePagedList

post

Retrieve LoanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getLoanFieldNamePagedList
POST /nexum/627/2022.01/parameter/getLoanFieldNamePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanFieldName": [],
  "Token": null,
  "MessageId": "getLoanFieldNamePagedList"
}

getLoanFieldNameListSelectFields

post

Retrieve LoanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getLoanFieldNameListSelectFields
POST /nexum/627/2022.01/parameter/getLoanFieldNameListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 196

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanFieldNameFields": true
  }
}
200

Successful operation.

{
  "LoanFieldNameList": [],
  "MessageId": "getLoanFieldNameListSelectFields"
}

searchLoanFieldNameSelectFields

post

Search LoanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchLoanFieldNameSelectFields
POST /nexum/627/2022.01/parameter/searchLoanFieldNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 234

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllLoanFieldNameFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanFieldNameList": [],
  "MessageId": "searchLoanFieldNameSelectFields"
}

getLoanFieldNamePagedListSelectFields

post

Retrieve LoanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getLoanFieldNamePagedListSelectFields
POST /nexum/627/2022.01/parameter/getLoanFieldNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 292

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "LoanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "LoanFieldName": [
    {
      "Field": 1,
      "FieldName": "User Char   01"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getLoanFieldNamePagedListSelectFields"
}

searchLoanFieldNamePagedSelectFields

post

Search LoanFieldName parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanFieldNamePagedSelectFields
POST /nexum/627/2022.01/parameter/searchLoanFieldNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 303

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "LoanFieldNameFields": {
      "Field": true,
      "FieldName": true
    }
  }
}
200

Successful operation.

{
  "LoanFieldName": [
    {
      "Field": 1,
      "FieldName": "User Char   01"
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "searchLoanFieldNamePagedSelectFields"
}

updateLoanFieldNameByID

post

Update LoanFieldName parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
LoanFieldNameFieldintegerOptional
Responses
200

Successful operation.

application/json
post/updateLoanFieldNameByID
POST /nexum/627/2022.01/parameter/updateLoanFieldNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 244

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "LoanFieldNameField": "example-value",
  "LoanFieldNameUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateLoanFieldNameByID"
}

Last updated

Was this helpful?